package com.sun.corba.se.impl.logging;

import org.omg.CORBA.UNKNOWN;
import org.omg.CORBA.OBJ_ADAPTER;
import org.omg.CORBA.OBJECT_NOT_EXIST;
import org.omg.CORBA.TRANSIENT;
import org.omg.CORBA.TRANSACTION_ROLLEDBACK;
import org.omg.CORBA.NO_RESOURCES;
import org.omg.CORBA.NO_IMPLEMENT;
import org.omg.CORBA.MARSHAL;
import org.omg.CORBA.INTF_REPOS;
import org.omg.CORBA.INTERNAL;
import org.omg.CORBA.INV_POLICY;
import org.omg.CORBA.INV_OBJREF;
import org.omg.CORBA.INITIALIZE;
import org.omg.CORBA.IMP_LIMIT;
import org.omg.CORBA.DATA_CONVERSION;
import org.omg.CORBA.BAD_TYPECODE;
import org.omg.CORBA.BAD_PARAM;
import org.omg.CORBA.BAD_OPERATION;
import org.omg.CORBA.BAD_INV_ORDER;
import java.util.logging.Level;
import org.omg.CORBA.BAD_CONTEXT;
import org.omg.CORBA.CompletionStatus;
import com.sun.corba.se.spi.orb.ORB;
import java.util.logging.Logger;
import com.sun.corba.se.spi.logging.LogWrapperFactory;
import com.sun.corba.se.spi.logging.LogWrapperBase;

public class OMGSystemException extends LogWrapperBase
{
    private static LogWrapperFactory factory;
    public static final int IDL_CONTEXT_NOT_FOUND = 1330446337;
    public static final int NO_MATCHING_IDL_CONTEXT = 1330446338;
    public static final int DEP_PREVENT_DESTRUCTION = 1330446337;
    public static final int DESTROY_INDESTRUCTIBLE = 1330446338;
    public static final int SHUTDOWN_WAIT_FOR_COMPLETION_DEADLOCK = 1330446339;
    public static final int BAD_OPERATION_AFTER_SHUTDOWN = 1330446340;
    public static final int BAD_INVOKE = 1330446341;
    public static final int BAD_SET_SERVANT_MANAGER = 1330446342;
    public static final int BAD_ARGUMENTS_CALL = 1330446343;
    public static final int BAD_CTX_CALL = 1330446344;
    public static final int BAD_RESULT_CALL = 1330446345;
    public static final int BAD_SEND = 1330446346;
    public static final int BAD_POLL_BEFORE = 1330446347;
    public static final int BAD_POLL_AFTER = 1330446348;
    public static final int BAD_POLL_SYNC = 1330446349;
    public static final int INVALID_PI_CALL1 = 1330446350;
    public static final int INVALID_PI_CALL2 = 1330446350;
    public static final int INVALID_PI_CALL3 = 1330446350;
    public static final int INVALID_PI_CALL4 = 1330446350;
    public static final int SERVICE_CONTEXT_ADD_FAILED = 1330446351;
    public static final int POLICY_FACTORY_REG_FAILED = 1330446352;
    public static final int CREATE_POA_DESTROY = 1330446353;
    public static final int PRIORITY_REASSIGN = 1330446354;
    public static final int XA_START_OUTSIZE = 1330446355;
    public static final int XA_START_PROTO = 1330446356;
    public static final int BAD_SERVANT_MANAGER_TYPE = 1330446337;
    public static final int OPERATION_UNKNOWN_TO_TARGET = 1330446338;
    public static final int UNABLE_REGISTER_VALUE_FACTORY = 1330446337;
    public static final int RID_ALREADY_DEFINED = 1330446338;
    public static final int NAME_USED_IFR = 1330446339;
    public static final int TARGET_NOT_CONTAINER = 1330446340;
    public static final int NAME_CLASH = 1330446341;
    public static final int NOT_SERIALIZABLE = 1330446342;
    public static final int SO_BAD_SCHEME_NAME = 1330446343;
    public static final int SO_BAD_ADDRESS = 1330446344;
    public static final int SO_BAD_SCHEMA_SPECIFIC = 1330446345;
    public static final int SO_NON_SPECIFIC = 1330446346;
    public static final int IR_DERIVE_ABS_INT_BASE = 1330446347;
    public static final int IR_VALUE_SUPPORT = 1330446348;
    public static final int INCOMPLETE_TYPECODE = 1330446349;
    public static final int INVALID_OBJECT_ID = 1330446350;
    public static final int TYPECODE_BAD_NAME = 1330446351;
    public static final int TYPECODE_BAD_REPID = 1330446352;
    public static final int TYPECODE_INV_MEMBER = 1330446353;
    public static final int TC_UNION_DUP_LABEL = 1330446354;
    public static final int TC_UNION_INCOMPATIBLE = 1330446355;
    public static final int TC_UNION_BAD_DISC = 1330446356;
    public static final int SET_EXCEPTION_BAD_ANY = 1330446357;
    public static final int SET_EXCEPTION_UNLISTED = 1330446358;
    public static final int NO_CLIENT_WCHAR_CODESET_CTX = 1330446359;
    public static final int ILLEGAL_SERVICE_CONTEXT = 1330446360;
    public static final int ENUM_OUT_OF_RANGE = 1330446361;
    public static final int INVALID_SERVICE_CONTEXT_ID = 1330446362;
    public static final int RIR_WITH_NULL_OBJECT = 1330446363;
    public static final int INVALID_COMPONENT_ID = 1330446364;
    public static final int INVALID_PROFILE_ID = 1330446365;
    public static final int POLICY_TYPE_DUPLICATE = 1330446366;
    public static final int BAD_ONEWAY_DEFINITION = 1330446367;
    public static final int DII_FOR_IMPLICIT_OPERATION = 1330446368;
    public static final int XA_CALL_INVAL = 1330446369;
    public static final int UNION_BAD_DISCRIMINATOR = 1330446370;
    public static final int CTX_ILLEGAL_PROPERTY_NAME = 1330446371;
    public static final int CTX_ILLEGAL_SEARCH_STRING = 1330446372;
    public static final int CTX_ILLEGAL_NAME = 1330446373;
    public static final int CTX_NON_EMPTY = 1330446374;
    public static final int INVALID_STREAM_FORMAT_VERSION = 1330446375;
    public static final int NOT_A_VALUEOUTPUTSTREAM = 1330446376;
    public static final int NOT_A_VALUEINPUTSTREAM = 1330446377;
    public static final int MARSHALL_INCOMPLETE_TYPECODE = 1330446337;
    public static final int BAD_MEMBER_TYPECODE = 1330446338;
    public static final int ILLEGAL_PARAMETER = 1330446339;
    public static final int CHAR_NOT_IN_CODESET = 1330446337;
    public static final int PRIORITY_MAP_FAILRE = 1330446338;
    public static final int NO_USABLE_PROFILE = 1330446337;
    public static final int PRIORITY_RANGE_RESTRICT = 1330446337;
    public static final int NO_SERVER_WCHAR_CODESET_CMP = 1330446337;
    public static final int CODESET_COMPONENT_REQUIRED = 1330446338;
    public static final int IOR_POLICY_RECONCILE_ERROR = 1330446337;
    public static final int POLICY_UNKNOWN = 1330446338;
    public static final int NO_POLICY_FACTORY = 1330446339;
    public static final int XA_RMERR = 1330446337;
    public static final int XA_RMFAIL = 1330446338;
    public static final int NO_IR = 1330446337;
    public static final int NO_INTERFACE_IN_IR = 1330446338;
    public static final int UNABLE_LOCATE_VALUE_FACTORY = 1330446337;
    public static final int SET_RESULT_BEFORE_CTX = 1330446338;
    public static final int BAD_NVLIST = 1330446339;
    public static final int NOT_AN_OBJECT_IMPL = 1330446340;
    public static final int WCHAR_BAD_GIOP_VERSION_SENT = 1330446341;
    public static final int WCHAR_BAD_GIOP_VERSION_RETURNED = 1330446342;
    public static final int UNSUPPORTED_FORMAT_VERSION = 1330446343;
    public static final int RMIIIOP_OPTIONAL_DATA_INCOMPATIBLE1 = 1330446344;
    public static final int RMIIIOP_OPTIONAL_DATA_INCOMPATIBLE2 = 1330446344;
    public static final int RMIIIOP_OPTIONAL_DATA_INCOMPATIBLE3 = 1330446344;
    public static final int MISSING_LOCAL_VALUE_IMPL = 1330446337;
    public static final int INCOMPATIBLE_VALUE_IMPL = 1330446338;
    public static final int NO_USABLE_PROFILE_2 = 1330446339;
    public static final int DII_LOCAL_OBJECT = 1330446340;
    public static final int BIO_RESET = 1330446341;
    public static final int BIO_META_NOT_AVAILABLE = 1330446342;
    public static final int BIO_GENOMIC_NO_ITERATOR = 1330446343;
    public static final int PI_OPERATION_NOT_SUPPORTED1 = 1330446337;
    public static final int PI_OPERATION_NOT_SUPPORTED2 = 1330446337;
    public static final int PI_OPERATION_NOT_SUPPORTED3 = 1330446337;
    public static final int PI_OPERATION_NOT_SUPPORTED4 = 1330446337;
    public static final int PI_OPERATION_NOT_SUPPORTED5 = 1330446337;
    public static final int PI_OPERATION_NOT_SUPPORTED6 = 1330446337;
    public static final int PI_OPERATION_NOT_SUPPORTED7 = 1330446337;
    public static final int PI_OPERATION_NOT_SUPPORTED8 = 1330446337;
    public static final int NO_CONNECTION_PRIORITY = 1330446338;
    public static final int XA_RB = 1330446337;
    public static final int XA_NOTA = 1330446338;
    public static final int XA_END_TRUE_ROLLBACK_DEFERRED = 1330446339;
    public static final int POA_REQUEST_DISCARD = 1330446337;
    public static final int NO_USABLE_PROFILE_3 = 1330446338;
    public static final int REQUEST_CANCELLED = 1330446339;
    public static final int POA_DESTROYED = 1330446340;
    public static final int UNREGISTERED_VALUE_AS_OBJREF = 1330446337;
    public static final int NO_OBJECT_ADAPTOR = 1330446338;
    public static final int BIO_NOT_AVAILABLE = 1330446339;
    public static final int OBJECT_ADAPTER_INACTIVE = 1330446340;
    public static final int ADAPTER_ACTIVATOR_EXCEPTION = 1330446337;
    public static final int BAD_SERVANT_TYPE = 1330446338;
    public static final int NO_DEFAULT_SERVANT = 1330446339;
    public static final int NO_SERVANT_MANAGER = 1330446340;
    public static final int BAD_POLICY_INCARNATE = 1330446341;
    public static final int PI_EXC_COMP_ESTABLISHED = 1330446342;
    public static final int NULL_SERVANT_RETURNED = 1330446343;
    public static final int UNKNOWN_USER_EXCEPTION = 1330446337;
    public static final int UNSUPPORTED_SYSTEM_EXCEPTION = 1330446338;
    public static final int PI_UNKNOWN_USER_EXCEPTION = 1330446339;
    
    public OMGSystemException(Logger logger) {
        super(logger);
    }
    
    public static OMGSystemException get(ORB orb, String s) {
        return (OMGSystemException)orb.getLogWrapper(s, "OMG", OMGSystemException.factory);
    }
    
    public static OMGSystemException get(String s) {
        return (OMGSystemException)ORB.staticGetLogWrapper(s, "OMG", OMGSystemException.factory);
    }
    
    public BAD_CONTEXT idlContextNotFound(CompletionStatus completionStatus, Throwable t) {
        BAD_CONTEXT bad_CONTEXT = new BAD_CONTEXT(1330446337, completionStatus);
        if (t != null) {
            bad_CONTEXT.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.idlContextNotFound", null, OMGSystemException.class, bad_CONTEXT);
            return bad_CONTEXT;
        }
        return bad_CONTEXT;
    }
    
    public BAD_CONTEXT idlContextNotFound(CompletionStatus completionStatus) {
        return this.idlContextNotFound(completionStatus, null);
    }
    
    public BAD_CONTEXT idlContextNotFound(Throwable t) {
        return this.idlContextNotFound(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_CONTEXT idlContextNotFound() {
        return this.idlContextNotFound(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_CONTEXT noMatchingIdlContext(CompletionStatus completionStatus, Throwable t) {
        BAD_CONTEXT bad_CONTEXT = new BAD_CONTEXT(1330446338, completionStatus);
        if (t != null) {
            bad_CONTEXT.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noMatchingIdlContext", null, OMGSystemException.class, bad_CONTEXT);
            return bad_CONTEXT;
        }
        return bad_CONTEXT;
    }
    
    public BAD_CONTEXT noMatchingIdlContext(CompletionStatus completionStatus) {
        return this.noMatchingIdlContext(completionStatus, null);
    }
    
    public BAD_CONTEXT noMatchingIdlContext(Throwable t) {
        return this.noMatchingIdlContext(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_CONTEXT noMatchingIdlContext() {
        return this.noMatchingIdlContext(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER depPreventDestruction(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446337, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.depPreventDestruction", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER depPreventDestruction(CompletionStatus completionStatus) {
        return this.depPreventDestruction(completionStatus, null);
    }
    
    public BAD_INV_ORDER depPreventDestruction(Throwable t) {
        return this.depPreventDestruction(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER depPreventDestruction() {
        return this.depPreventDestruction(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER destroyIndestructible(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446338, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.destroyIndestructible", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER destroyIndestructible(CompletionStatus completionStatus) {
        return this.destroyIndestructible(completionStatus, null);
    }
    
    public BAD_INV_ORDER destroyIndestructible(Throwable t) {
        return this.destroyIndestructible(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER destroyIndestructible() {
        return this.destroyIndestructible(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER shutdownWaitForCompletionDeadlock(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446339, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.shutdownWaitForCompletionDeadlock", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER shutdownWaitForCompletionDeadlock(CompletionStatus completionStatus) {
        return this.shutdownWaitForCompletionDeadlock(completionStatus, null);
    }
    
    public BAD_INV_ORDER shutdownWaitForCompletionDeadlock(Throwable t) {
        return this.shutdownWaitForCompletionDeadlock(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER shutdownWaitForCompletionDeadlock() {
        return this.shutdownWaitForCompletionDeadlock(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER badOperationAfterShutdown(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446340, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badOperationAfterShutdown", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER badOperationAfterShutdown(CompletionStatus completionStatus) {
        return this.badOperationAfterShutdown(completionStatus, null);
    }
    
    public BAD_INV_ORDER badOperationAfterShutdown(Throwable t) {
        return this.badOperationAfterShutdown(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER badOperationAfterShutdown() {
        return this.badOperationAfterShutdown(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER badInvoke(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446341, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badInvoke", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER badInvoke(CompletionStatus completionStatus) {
        return this.badInvoke(completionStatus, null);
    }
    
    public BAD_INV_ORDER badInvoke(Throwable t) {
        return this.badInvoke(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER badInvoke() {
        return this.badInvoke(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER badSetServantManager(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446342, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badSetServantManager", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER badSetServantManager(CompletionStatus completionStatus) {
        return this.badSetServantManager(completionStatus, null);
    }
    
    public BAD_INV_ORDER badSetServantManager(Throwable t) {
        return this.badSetServantManager(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER badSetServantManager() {
        return this.badSetServantManager(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER badArgumentsCall(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446343, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badArgumentsCall", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER badArgumentsCall(CompletionStatus completionStatus) {
        return this.badArgumentsCall(completionStatus, null);
    }
    
    public BAD_INV_ORDER badArgumentsCall(Throwable t) {
        return this.badArgumentsCall(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER badArgumentsCall() {
        return this.badArgumentsCall(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER badCtxCall(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446344, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badCtxCall", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER badCtxCall(CompletionStatus completionStatus) {
        return this.badCtxCall(completionStatus, null);
    }
    
    public BAD_INV_ORDER badCtxCall(Throwable t) {
        return this.badCtxCall(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER badCtxCall() {
        return this.badCtxCall(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER badResultCall(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446345, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badResultCall", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER badResultCall(CompletionStatus completionStatus) {
        return this.badResultCall(completionStatus, null);
    }
    
    public BAD_INV_ORDER badResultCall(Throwable t) {
        return this.badResultCall(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER badResultCall() {
        return this.badResultCall(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER badSend(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446346, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badSend", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER badSend(CompletionStatus completionStatus) {
        return this.badSend(completionStatus, null);
    }
    
    public BAD_INV_ORDER badSend(Throwable t) {
        return this.badSend(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER badSend() {
        return this.badSend(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER badPollBefore(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446347, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badPollBefore", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER badPollBefore(CompletionStatus completionStatus) {
        return this.badPollBefore(completionStatus, null);
    }
    
    public BAD_INV_ORDER badPollBefore(Throwable t) {
        return this.badPollBefore(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER badPollBefore() {
        return this.badPollBefore(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER badPollAfter(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446348, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badPollAfter", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER badPollAfter(CompletionStatus completionStatus) {
        return this.badPollAfter(completionStatus, null);
    }
    
    public BAD_INV_ORDER badPollAfter(Throwable t) {
        return this.badPollAfter(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER badPollAfter() {
        return this.badPollAfter(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER badPollSync(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446349, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badPollSync", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER badPollSync(CompletionStatus completionStatus) {
        return this.badPollSync(completionStatus, null);
    }
    
    public BAD_INV_ORDER badPollSync(Throwable t) {
        return this.badPollSync(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER badPollSync() {
        return this.badPollSync(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER invalidPiCall1(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446350, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.invalidPiCall1", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER invalidPiCall1(CompletionStatus completionStatus) {
        return this.invalidPiCall1(completionStatus, null);
    }
    
    public BAD_INV_ORDER invalidPiCall1(Throwable t) {
        return this.invalidPiCall1(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER invalidPiCall1() {
        return this.invalidPiCall1(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER invalidPiCall2(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446350, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.invalidPiCall2", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER invalidPiCall2(CompletionStatus completionStatus) {
        return this.invalidPiCall2(completionStatus, null);
    }
    
    public BAD_INV_ORDER invalidPiCall2(Throwable t) {
        return this.invalidPiCall2(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER invalidPiCall2() {
        return this.invalidPiCall2(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER invalidPiCall3(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446350, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.invalidPiCall3", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER invalidPiCall3(CompletionStatus completionStatus) {
        return this.invalidPiCall3(completionStatus, null);
    }
    
    public BAD_INV_ORDER invalidPiCall3(Throwable t) {
        return this.invalidPiCall3(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER invalidPiCall3() {
        return this.invalidPiCall3(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER invalidPiCall4(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446350, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.invalidPiCall4", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER invalidPiCall4(CompletionStatus completionStatus) {
        return this.invalidPiCall4(completionStatus, null);
    }
    
    public BAD_INV_ORDER invalidPiCall4(Throwable t) {
        return this.invalidPiCall4(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER invalidPiCall4() {
        return this.invalidPiCall4(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER serviceContextAddFailed(CompletionStatus completionStatus, Throwable t, Object o) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446351, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.serviceContextAddFailed", new Object[] { o }, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER serviceContextAddFailed(CompletionStatus completionStatus, Object o) {
        return this.serviceContextAddFailed(completionStatus, null, o);
    }
    
    public BAD_INV_ORDER serviceContextAddFailed(Throwable t, Object o) {
        return this.serviceContextAddFailed(CompletionStatus.COMPLETED_NO, t, o);
    }
    
    public BAD_INV_ORDER serviceContextAddFailed(Object o) {
        return this.serviceContextAddFailed(CompletionStatus.COMPLETED_NO, null, o);
    }
    
    public BAD_INV_ORDER policyFactoryRegFailed(CompletionStatus completionStatus, Throwable t, Object o) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446352, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.policyFactoryRegFailed", new Object[] { o }, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER policyFactoryRegFailed(CompletionStatus completionStatus, Object o) {
        return this.policyFactoryRegFailed(completionStatus, null, o);
    }
    
    public BAD_INV_ORDER policyFactoryRegFailed(Throwable t, Object o) {
        return this.policyFactoryRegFailed(CompletionStatus.COMPLETED_NO, t, o);
    }
    
    public BAD_INV_ORDER policyFactoryRegFailed(Object o) {
        return this.policyFactoryRegFailed(CompletionStatus.COMPLETED_NO, null, o);
    }
    
    public BAD_INV_ORDER createPoaDestroy(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446353, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.createPoaDestroy", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER createPoaDestroy(CompletionStatus completionStatus) {
        return this.createPoaDestroy(completionStatus, null);
    }
    
    public BAD_INV_ORDER createPoaDestroy(Throwable t) {
        return this.createPoaDestroy(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER createPoaDestroy() {
        return this.createPoaDestroy(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER priorityReassign(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446354, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.priorityReassign", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER priorityReassign(CompletionStatus completionStatus) {
        return this.priorityReassign(completionStatus, null);
    }
    
    public BAD_INV_ORDER priorityReassign(Throwable t) {
        return this.priorityReassign(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER priorityReassign() {
        return this.priorityReassign(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER xaStartOutsize(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446355, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.xaStartOutsize", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER xaStartOutsize(CompletionStatus completionStatus) {
        return this.xaStartOutsize(completionStatus, null);
    }
    
    public BAD_INV_ORDER xaStartOutsize(Throwable t) {
        return this.xaStartOutsize(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER xaStartOutsize() {
        return this.xaStartOutsize(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_INV_ORDER xaStartProto(CompletionStatus completionStatus, Throwable t) {
        BAD_INV_ORDER bad_INV_ORDER = new BAD_INV_ORDER(1330446356, completionStatus);
        if (t != null) {
            bad_INV_ORDER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.xaStartProto", null, OMGSystemException.class, bad_INV_ORDER);
            return bad_INV_ORDER;
        }
        return bad_INV_ORDER;
    }
    
    public BAD_INV_ORDER xaStartProto(CompletionStatus completionStatus) {
        return this.xaStartProto(completionStatus, null);
    }
    
    public BAD_INV_ORDER xaStartProto(Throwable t) {
        return this.xaStartProto(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_INV_ORDER xaStartProto() {
        return this.xaStartProto(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_OPERATION badServantManagerType(CompletionStatus completionStatus, Throwable t) {
        BAD_OPERATION bad_OPERATION = new BAD_OPERATION(1330446337, completionStatus);
        if (t != null) {
            bad_OPERATION.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badServantManagerType", null, OMGSystemException.class, bad_OPERATION);
            return bad_OPERATION;
        }
        return bad_OPERATION;
    }
    
    public BAD_OPERATION badServantManagerType(CompletionStatus completionStatus) {
        return this.badServantManagerType(completionStatus, null);
    }
    
    public BAD_OPERATION badServantManagerType(Throwable t) {
        return this.badServantManagerType(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_OPERATION badServantManagerType() {
        return this.badServantManagerType(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_OPERATION operationUnknownToTarget(CompletionStatus completionStatus, Throwable t) {
        BAD_OPERATION bad_OPERATION = new BAD_OPERATION(1330446338, completionStatus);
        if (t != null) {
            bad_OPERATION.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.operationUnknownToTarget", null, OMGSystemException.class, bad_OPERATION);
            return bad_OPERATION;
        }
        return bad_OPERATION;
    }
    
    public BAD_OPERATION operationUnknownToTarget(CompletionStatus completionStatus) {
        return this.operationUnknownToTarget(completionStatus, null);
    }
    
    public BAD_OPERATION operationUnknownToTarget(Throwable t) {
        return this.operationUnknownToTarget(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_OPERATION operationUnknownToTarget() {
        return this.operationUnknownToTarget(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM unableRegisterValueFactory(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446337, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.unableRegisterValueFactory", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM unableRegisterValueFactory(CompletionStatus completionStatus) {
        return this.unableRegisterValueFactory(completionStatus, null);
    }
    
    public BAD_PARAM unableRegisterValueFactory(Throwable t) {
        return this.unableRegisterValueFactory(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM unableRegisterValueFactory() {
        return this.unableRegisterValueFactory(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM ridAlreadyDefined(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446338, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.ridAlreadyDefined", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM ridAlreadyDefined(CompletionStatus completionStatus) {
        return this.ridAlreadyDefined(completionStatus, null);
    }
    
    public BAD_PARAM ridAlreadyDefined(Throwable t) {
        return this.ridAlreadyDefined(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM ridAlreadyDefined() {
        return this.ridAlreadyDefined(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM nameUsedIfr(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446339, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.nameUsedIfr", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM nameUsedIfr(CompletionStatus completionStatus) {
        return this.nameUsedIfr(completionStatus, null);
    }
    
    public BAD_PARAM nameUsedIfr(Throwable t) {
        return this.nameUsedIfr(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM nameUsedIfr() {
        return this.nameUsedIfr(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM targetNotContainer(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446340, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.targetNotContainer", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM targetNotContainer(CompletionStatus completionStatus) {
        return this.targetNotContainer(completionStatus, null);
    }
    
    public BAD_PARAM targetNotContainer(Throwable t) {
        return this.targetNotContainer(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM targetNotContainer() {
        return this.targetNotContainer(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM nameClash(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446341, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.nameClash", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM nameClash(CompletionStatus completionStatus) {
        return this.nameClash(completionStatus, null);
    }
    
    public BAD_PARAM nameClash(Throwable t) {
        return this.nameClash(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM nameClash() {
        return this.nameClash(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM notSerializable(CompletionStatus completionStatus, Throwable t, Object o) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446342, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.notSerializable", new Object[] { o }, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM notSerializable(CompletionStatus completionStatus, Object o) {
        return this.notSerializable(completionStatus, null, o);
    }
    
    public BAD_PARAM notSerializable(Throwable t, Object o) {
        return this.notSerializable(CompletionStatus.COMPLETED_NO, t, o);
    }
    
    public BAD_PARAM notSerializable(Object o) {
        return this.notSerializable(CompletionStatus.COMPLETED_NO, null, o);
    }
    
    public BAD_PARAM soBadSchemeName(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446343, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.soBadSchemeName", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM soBadSchemeName(CompletionStatus completionStatus) {
        return this.soBadSchemeName(completionStatus, null);
    }
    
    public BAD_PARAM soBadSchemeName(Throwable t) {
        return this.soBadSchemeName(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM soBadSchemeName() {
        return this.soBadSchemeName(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM soBadAddress(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446344, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.soBadAddress", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM soBadAddress(CompletionStatus completionStatus) {
        return this.soBadAddress(completionStatus, null);
    }
    
    public BAD_PARAM soBadAddress(Throwable t) {
        return this.soBadAddress(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM soBadAddress() {
        return this.soBadAddress(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM soBadSchemaSpecific(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446345, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.soBadSchemaSpecific", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM soBadSchemaSpecific(CompletionStatus completionStatus) {
        return this.soBadSchemaSpecific(completionStatus, null);
    }
    
    public BAD_PARAM soBadSchemaSpecific(Throwable t) {
        return this.soBadSchemaSpecific(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM soBadSchemaSpecific() {
        return this.soBadSchemaSpecific(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM soNonSpecific(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446346, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.soNonSpecific", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM soNonSpecific(CompletionStatus completionStatus) {
        return this.soNonSpecific(completionStatus, null);
    }
    
    public BAD_PARAM soNonSpecific(Throwable t) {
        return this.soNonSpecific(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM soNonSpecific() {
        return this.soNonSpecific(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM irDeriveAbsIntBase(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446347, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.irDeriveAbsIntBase", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM irDeriveAbsIntBase(CompletionStatus completionStatus) {
        return this.irDeriveAbsIntBase(completionStatus, null);
    }
    
    public BAD_PARAM irDeriveAbsIntBase(Throwable t) {
        return this.irDeriveAbsIntBase(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM irDeriveAbsIntBase() {
        return this.irDeriveAbsIntBase(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM irValueSupport(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446348, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.irValueSupport", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM irValueSupport(CompletionStatus completionStatus) {
        return this.irValueSupport(completionStatus, null);
    }
    
    public BAD_PARAM irValueSupport(Throwable t) {
        return this.irValueSupport(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM irValueSupport() {
        return this.irValueSupport(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM incompleteTypecode(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446349, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.incompleteTypecode", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM incompleteTypecode(CompletionStatus completionStatus) {
        return this.incompleteTypecode(completionStatus, null);
    }
    
    public BAD_PARAM incompleteTypecode(Throwable t) {
        return this.incompleteTypecode(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM incompleteTypecode() {
        return this.incompleteTypecode(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM invalidObjectId(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446350, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.invalidObjectId", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM invalidObjectId(CompletionStatus completionStatus) {
        return this.invalidObjectId(completionStatus, null);
    }
    
    public BAD_PARAM invalidObjectId(Throwable t) {
        return this.invalidObjectId(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM invalidObjectId() {
        return this.invalidObjectId(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM typecodeBadName(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446351, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.typecodeBadName", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM typecodeBadName(CompletionStatus completionStatus) {
        return this.typecodeBadName(completionStatus, null);
    }
    
    public BAD_PARAM typecodeBadName(Throwable t) {
        return this.typecodeBadName(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM typecodeBadName() {
        return this.typecodeBadName(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM typecodeBadRepid(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446352, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.typecodeBadRepid", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM typecodeBadRepid(CompletionStatus completionStatus) {
        return this.typecodeBadRepid(completionStatus, null);
    }
    
    public BAD_PARAM typecodeBadRepid(Throwable t) {
        return this.typecodeBadRepid(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM typecodeBadRepid() {
        return this.typecodeBadRepid(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM typecodeInvMember(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446353, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.typecodeInvMember", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM typecodeInvMember(CompletionStatus completionStatus) {
        return this.typecodeInvMember(completionStatus, null);
    }
    
    public BAD_PARAM typecodeInvMember(Throwable t) {
        return this.typecodeInvMember(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM typecodeInvMember() {
        return this.typecodeInvMember(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM tcUnionDupLabel(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446354, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.tcUnionDupLabel", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM tcUnionDupLabel(CompletionStatus completionStatus) {
        return this.tcUnionDupLabel(completionStatus, null);
    }
    
    public BAD_PARAM tcUnionDupLabel(Throwable t) {
        return this.tcUnionDupLabel(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM tcUnionDupLabel() {
        return this.tcUnionDupLabel(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM tcUnionIncompatible(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446355, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.tcUnionIncompatible", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM tcUnionIncompatible(CompletionStatus completionStatus) {
        return this.tcUnionIncompatible(completionStatus, null);
    }
    
    public BAD_PARAM tcUnionIncompatible(Throwable t) {
        return this.tcUnionIncompatible(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM tcUnionIncompatible() {
        return this.tcUnionIncompatible(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM tcUnionBadDisc(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446356, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.tcUnionBadDisc", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM tcUnionBadDisc(CompletionStatus completionStatus) {
        return this.tcUnionBadDisc(completionStatus, null);
    }
    
    public BAD_PARAM tcUnionBadDisc(Throwable t) {
        return this.tcUnionBadDisc(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM tcUnionBadDisc() {
        return this.tcUnionBadDisc(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM setExceptionBadAny(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446357, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.setExceptionBadAny", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM setExceptionBadAny(CompletionStatus completionStatus) {
        return this.setExceptionBadAny(completionStatus, null);
    }
    
    public BAD_PARAM setExceptionBadAny(Throwable t) {
        return this.setExceptionBadAny(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM setExceptionBadAny() {
        return this.setExceptionBadAny(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM setExceptionUnlisted(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446358, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.setExceptionUnlisted", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM setExceptionUnlisted(CompletionStatus completionStatus) {
        return this.setExceptionUnlisted(completionStatus, null);
    }
    
    public BAD_PARAM setExceptionUnlisted(Throwable t) {
        return this.setExceptionUnlisted(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM setExceptionUnlisted() {
        return this.setExceptionUnlisted(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM noClientWcharCodesetCtx(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446359, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noClientWcharCodesetCtx", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM noClientWcharCodesetCtx(CompletionStatus completionStatus) {
        return this.noClientWcharCodesetCtx(completionStatus, null);
    }
    
    public BAD_PARAM noClientWcharCodesetCtx(Throwable t) {
        return this.noClientWcharCodesetCtx(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM noClientWcharCodesetCtx() {
        return this.noClientWcharCodesetCtx(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM illegalServiceContext(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446360, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.illegalServiceContext", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM illegalServiceContext(CompletionStatus completionStatus) {
        return this.illegalServiceContext(completionStatus, null);
    }
    
    public BAD_PARAM illegalServiceContext(Throwable t) {
        return this.illegalServiceContext(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM illegalServiceContext() {
        return this.illegalServiceContext(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM enumOutOfRange(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446361, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.enumOutOfRange", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM enumOutOfRange(CompletionStatus completionStatus) {
        return this.enumOutOfRange(completionStatus, null);
    }
    
    public BAD_PARAM enumOutOfRange(Throwable t) {
        return this.enumOutOfRange(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM enumOutOfRange() {
        return this.enumOutOfRange(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM invalidServiceContextId(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446362, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.invalidServiceContextId", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM invalidServiceContextId(CompletionStatus completionStatus) {
        return this.invalidServiceContextId(completionStatus, null);
    }
    
    public BAD_PARAM invalidServiceContextId(Throwable t) {
        return this.invalidServiceContextId(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM invalidServiceContextId() {
        return this.invalidServiceContextId(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM rirWithNullObject(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446363, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.rirWithNullObject", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM rirWithNullObject(CompletionStatus completionStatus) {
        return this.rirWithNullObject(completionStatus, null);
    }
    
    public BAD_PARAM rirWithNullObject(Throwable t) {
        return this.rirWithNullObject(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM rirWithNullObject() {
        return this.rirWithNullObject(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM invalidComponentId(CompletionStatus completionStatus, Throwable t, Object o) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446364, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.invalidComponentId", new Object[] { o }, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM invalidComponentId(CompletionStatus completionStatus, Object o) {
        return this.invalidComponentId(completionStatus, null, o);
    }
    
    public BAD_PARAM invalidComponentId(Throwable t, Object o) {
        return this.invalidComponentId(CompletionStatus.COMPLETED_NO, t, o);
    }
    
    public BAD_PARAM invalidComponentId(Object o) {
        return this.invalidComponentId(CompletionStatus.COMPLETED_NO, null, o);
    }
    
    public BAD_PARAM invalidProfileId(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446365, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.invalidProfileId", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM invalidProfileId(CompletionStatus completionStatus) {
        return this.invalidProfileId(completionStatus, null);
    }
    
    public BAD_PARAM invalidProfileId(Throwable t) {
        return this.invalidProfileId(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM invalidProfileId() {
        return this.invalidProfileId(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM policyTypeDuplicate(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446366, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.policyTypeDuplicate", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM policyTypeDuplicate(CompletionStatus completionStatus) {
        return this.policyTypeDuplicate(completionStatus, null);
    }
    
    public BAD_PARAM policyTypeDuplicate(Throwable t) {
        return this.policyTypeDuplicate(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM policyTypeDuplicate() {
        return this.policyTypeDuplicate(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM badOnewayDefinition(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446367, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badOnewayDefinition", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM badOnewayDefinition(CompletionStatus completionStatus) {
        return this.badOnewayDefinition(completionStatus, null);
    }
    
    public BAD_PARAM badOnewayDefinition(Throwable t) {
        return this.badOnewayDefinition(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM badOnewayDefinition() {
        return this.badOnewayDefinition(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM diiForImplicitOperation(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446368, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.diiForImplicitOperation", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM diiForImplicitOperation(CompletionStatus completionStatus) {
        return this.diiForImplicitOperation(completionStatus, null);
    }
    
    public BAD_PARAM diiForImplicitOperation(Throwable t) {
        return this.diiForImplicitOperation(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM diiForImplicitOperation() {
        return this.diiForImplicitOperation(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM xaCallInval(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446369, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.xaCallInval", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM xaCallInval(CompletionStatus completionStatus) {
        return this.xaCallInval(completionStatus, null);
    }
    
    public BAD_PARAM xaCallInval(Throwable t) {
        return this.xaCallInval(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM xaCallInval() {
        return this.xaCallInval(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM unionBadDiscriminator(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446370, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.unionBadDiscriminator", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM unionBadDiscriminator(CompletionStatus completionStatus) {
        return this.unionBadDiscriminator(completionStatus, null);
    }
    
    public BAD_PARAM unionBadDiscriminator(Throwable t) {
        return this.unionBadDiscriminator(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM unionBadDiscriminator() {
        return this.unionBadDiscriminator(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM ctxIllegalPropertyName(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446371, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.ctxIllegalPropertyName", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM ctxIllegalPropertyName(CompletionStatus completionStatus) {
        return this.ctxIllegalPropertyName(completionStatus, null);
    }
    
    public BAD_PARAM ctxIllegalPropertyName(Throwable t) {
        return this.ctxIllegalPropertyName(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM ctxIllegalPropertyName() {
        return this.ctxIllegalPropertyName(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM ctxIllegalSearchString(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446372, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.ctxIllegalSearchString", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM ctxIllegalSearchString(CompletionStatus completionStatus) {
        return this.ctxIllegalSearchString(completionStatus, null);
    }
    
    public BAD_PARAM ctxIllegalSearchString(Throwable t) {
        return this.ctxIllegalSearchString(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM ctxIllegalSearchString() {
        return this.ctxIllegalSearchString(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM ctxIllegalName(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446373, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.ctxIllegalName", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM ctxIllegalName(CompletionStatus completionStatus) {
        return this.ctxIllegalName(completionStatus, null);
    }
    
    public BAD_PARAM ctxIllegalName(Throwable t) {
        return this.ctxIllegalName(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM ctxIllegalName() {
        return this.ctxIllegalName(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM ctxNonEmpty(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446374, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.ctxNonEmpty", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM ctxNonEmpty(CompletionStatus completionStatus) {
        return this.ctxNonEmpty(completionStatus, null);
    }
    
    public BAD_PARAM ctxNonEmpty(Throwable t) {
        return this.ctxNonEmpty(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM ctxNonEmpty() {
        return this.ctxNonEmpty(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM invalidStreamFormatVersion(CompletionStatus completionStatus, Throwable t, Object o) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446375, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.invalidStreamFormatVersion", new Object[] { o }, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM invalidStreamFormatVersion(CompletionStatus completionStatus, Object o) {
        return this.invalidStreamFormatVersion(completionStatus, null, o);
    }
    
    public BAD_PARAM invalidStreamFormatVersion(Throwable t, Object o) {
        return this.invalidStreamFormatVersion(CompletionStatus.COMPLETED_NO, t, o);
    }
    
    public BAD_PARAM invalidStreamFormatVersion(Object o) {
        return this.invalidStreamFormatVersion(CompletionStatus.COMPLETED_NO, null, o);
    }
    
    public BAD_PARAM notAValueoutputstream(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446376, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.notAValueoutputstream", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM notAValueoutputstream(CompletionStatus completionStatus) {
        return this.notAValueoutputstream(completionStatus, null);
    }
    
    public BAD_PARAM notAValueoutputstream(Throwable t) {
        return this.notAValueoutputstream(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM notAValueoutputstream() {
        return this.notAValueoutputstream(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_PARAM notAValueinputstream(CompletionStatus completionStatus, Throwable t) {
        BAD_PARAM bad_PARAM = new BAD_PARAM(1330446377, completionStatus);
        if (t != null) {
            bad_PARAM.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.notAValueinputstream", null, OMGSystemException.class, bad_PARAM);
            return bad_PARAM;
        }
        return bad_PARAM;
    }
    
    public BAD_PARAM notAValueinputstream(CompletionStatus completionStatus) {
        return this.notAValueinputstream(completionStatus, null);
    }
    
    public BAD_PARAM notAValueinputstream(Throwable t) {
        return this.notAValueinputstream(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_PARAM notAValueinputstream() {
        return this.notAValueinputstream(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_TYPECODE marshallIncompleteTypecode(CompletionStatus completionStatus, Throwable t) {
        BAD_TYPECODE bad_TYPECODE = new BAD_TYPECODE(1330446337, completionStatus);
        if (t != null) {
            bad_TYPECODE.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.marshallIncompleteTypecode", null, OMGSystemException.class, bad_TYPECODE);
            return bad_TYPECODE;
        }
        return bad_TYPECODE;
    }
    
    public BAD_TYPECODE marshallIncompleteTypecode(CompletionStatus completionStatus) {
        return this.marshallIncompleteTypecode(completionStatus, null);
    }
    
    public BAD_TYPECODE marshallIncompleteTypecode(Throwable t) {
        return this.marshallIncompleteTypecode(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_TYPECODE marshallIncompleteTypecode() {
        return this.marshallIncompleteTypecode(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_TYPECODE badMemberTypecode(CompletionStatus completionStatus, Throwable t) {
        BAD_TYPECODE bad_TYPECODE = new BAD_TYPECODE(1330446338, completionStatus);
        if (t != null) {
            bad_TYPECODE.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badMemberTypecode", null, OMGSystemException.class, bad_TYPECODE);
            return bad_TYPECODE;
        }
        return bad_TYPECODE;
    }
    
    public BAD_TYPECODE badMemberTypecode(CompletionStatus completionStatus) {
        return this.badMemberTypecode(completionStatus, null);
    }
    
    public BAD_TYPECODE badMemberTypecode(Throwable t) {
        return this.badMemberTypecode(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_TYPECODE badMemberTypecode() {
        return this.badMemberTypecode(CompletionStatus.COMPLETED_NO, null);
    }
    
    public BAD_TYPECODE illegalParameter(CompletionStatus completionStatus, Throwable t) {
        BAD_TYPECODE bad_TYPECODE = new BAD_TYPECODE(1330446339, completionStatus);
        if (t != null) {
            bad_TYPECODE.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.illegalParameter", null, OMGSystemException.class, bad_TYPECODE);
            return bad_TYPECODE;
        }
        return bad_TYPECODE;
    }
    
    public BAD_TYPECODE illegalParameter(CompletionStatus completionStatus) {
        return this.illegalParameter(completionStatus, null);
    }
    
    public BAD_TYPECODE illegalParameter(Throwable t) {
        return this.illegalParameter(CompletionStatus.COMPLETED_NO, t);
    }
    
    public BAD_TYPECODE illegalParameter() {
        return this.illegalParameter(CompletionStatus.COMPLETED_NO, null);
    }
    
    public DATA_CONVERSION charNotInCodeset(CompletionStatus completionStatus, Throwable t) {
        DATA_CONVERSION data_CONVERSION = new DATA_CONVERSION(1330446337, completionStatus);
        if (t != null) {
            data_CONVERSION.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.charNotInCodeset", null, OMGSystemException.class, data_CONVERSION);
            return data_CONVERSION;
        }
        return data_CONVERSION;
    }
    
    public DATA_CONVERSION charNotInCodeset(CompletionStatus completionStatus) {
        return this.charNotInCodeset(completionStatus, null);
    }
    
    public DATA_CONVERSION charNotInCodeset(Throwable t) {
        return this.charNotInCodeset(CompletionStatus.COMPLETED_NO, t);
    }
    
    public DATA_CONVERSION charNotInCodeset() {
        return this.charNotInCodeset(CompletionStatus.COMPLETED_NO, null);
    }
    
    public DATA_CONVERSION priorityMapFailre(CompletionStatus completionStatus, Throwable t) {
        DATA_CONVERSION data_CONVERSION = new DATA_CONVERSION(1330446338, completionStatus);
        if (t != null) {
            data_CONVERSION.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.priorityMapFailre", null, OMGSystemException.class, data_CONVERSION);
            return data_CONVERSION;
        }
        return data_CONVERSION;
    }
    
    public DATA_CONVERSION priorityMapFailre(CompletionStatus completionStatus) {
        return this.priorityMapFailre(completionStatus, null);
    }
    
    public DATA_CONVERSION priorityMapFailre(Throwable t) {
        return this.priorityMapFailre(CompletionStatus.COMPLETED_NO, t);
    }
    
    public DATA_CONVERSION priorityMapFailre() {
        return this.priorityMapFailre(CompletionStatus.COMPLETED_NO, null);
    }
    
    public IMP_LIMIT noUsableProfile(CompletionStatus completionStatus, Throwable t) {
        IMP_LIMIT imp_LIMIT = new IMP_LIMIT(1330446337, completionStatus);
        if (t != null) {
            imp_LIMIT.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noUsableProfile", null, OMGSystemException.class, imp_LIMIT);
            return imp_LIMIT;
        }
        return imp_LIMIT;
    }
    
    public IMP_LIMIT noUsableProfile(CompletionStatus completionStatus) {
        return this.noUsableProfile(completionStatus, null);
    }
    
    public IMP_LIMIT noUsableProfile(Throwable t) {
        return this.noUsableProfile(CompletionStatus.COMPLETED_NO, t);
    }
    
    public IMP_LIMIT noUsableProfile() {
        return this.noUsableProfile(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INITIALIZE priorityRangeRestrict(CompletionStatus completionStatus, Throwable t) {
        INITIALIZE initialize = new INITIALIZE(1330446337, completionStatus);
        if (t != null) {
            initialize.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.priorityRangeRestrict", null, OMGSystemException.class, initialize);
            return initialize;
        }
        return initialize;
    }
    
    public INITIALIZE priorityRangeRestrict(CompletionStatus completionStatus) {
        return this.priorityRangeRestrict(completionStatus, null);
    }
    
    public INITIALIZE priorityRangeRestrict(Throwable t) {
        return this.priorityRangeRestrict(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INITIALIZE priorityRangeRestrict() {
        return this.priorityRangeRestrict(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INV_OBJREF noServerWcharCodesetCmp(CompletionStatus completionStatus, Throwable t) {
        INV_OBJREF inv_OBJREF = new INV_OBJREF(1330446337, completionStatus);
        if (t != null) {
            inv_OBJREF.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noServerWcharCodesetCmp", null, OMGSystemException.class, inv_OBJREF);
            return inv_OBJREF;
        }
        return inv_OBJREF;
    }
    
    public INV_OBJREF noServerWcharCodesetCmp(CompletionStatus completionStatus) {
        return this.noServerWcharCodesetCmp(completionStatus, null);
    }
    
    public INV_OBJREF noServerWcharCodesetCmp(Throwable t) {
        return this.noServerWcharCodesetCmp(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INV_OBJREF noServerWcharCodesetCmp() {
        return this.noServerWcharCodesetCmp(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INV_OBJREF codesetComponentRequired(CompletionStatus completionStatus, Throwable t) {
        INV_OBJREF inv_OBJREF = new INV_OBJREF(1330446338, completionStatus);
        if (t != null) {
            inv_OBJREF.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.codesetComponentRequired", null, OMGSystemException.class, inv_OBJREF);
            return inv_OBJREF;
        }
        return inv_OBJREF;
    }
    
    public INV_OBJREF codesetComponentRequired(CompletionStatus completionStatus) {
        return this.codesetComponentRequired(completionStatus, null);
    }
    
    public INV_OBJREF codesetComponentRequired(Throwable t) {
        return this.codesetComponentRequired(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INV_OBJREF codesetComponentRequired() {
        return this.codesetComponentRequired(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INV_POLICY iorPolicyReconcileError(CompletionStatus completionStatus, Throwable t) {
        INV_POLICY inv_POLICY = new INV_POLICY(1330446337, completionStatus);
        if (t != null) {
            inv_POLICY.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.iorPolicyReconcileError", null, OMGSystemException.class, inv_POLICY);
            return inv_POLICY;
        }
        return inv_POLICY;
    }
    
    public INV_POLICY iorPolicyReconcileError(CompletionStatus completionStatus) {
        return this.iorPolicyReconcileError(completionStatus, null);
    }
    
    public INV_POLICY iorPolicyReconcileError(Throwable t) {
        return this.iorPolicyReconcileError(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INV_POLICY iorPolicyReconcileError() {
        return this.iorPolicyReconcileError(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INV_POLICY policyUnknown(CompletionStatus completionStatus, Throwable t) {
        INV_POLICY inv_POLICY = new INV_POLICY(1330446338, completionStatus);
        if (t != null) {
            inv_POLICY.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.policyUnknown", null, OMGSystemException.class, inv_POLICY);
            return inv_POLICY;
        }
        return inv_POLICY;
    }
    
    public INV_POLICY policyUnknown(CompletionStatus completionStatus) {
        return this.policyUnknown(completionStatus, null);
    }
    
    public INV_POLICY policyUnknown(Throwable t) {
        return this.policyUnknown(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INV_POLICY policyUnknown() {
        return this.policyUnknown(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INV_POLICY noPolicyFactory(CompletionStatus completionStatus, Throwable t) {
        INV_POLICY inv_POLICY = new INV_POLICY(1330446339, completionStatus);
        if (t != null) {
            inv_POLICY.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noPolicyFactory", null, OMGSystemException.class, inv_POLICY);
            return inv_POLICY;
        }
        return inv_POLICY;
    }
    
    public INV_POLICY noPolicyFactory(CompletionStatus completionStatus) {
        return this.noPolicyFactory(completionStatus, null);
    }
    
    public INV_POLICY noPolicyFactory(Throwable t) {
        return this.noPolicyFactory(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INV_POLICY noPolicyFactory() {
        return this.noPolicyFactory(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INTERNAL xaRmerr(CompletionStatus completionStatus, Throwable t) {
        INTERNAL internal = new INTERNAL(1330446337, completionStatus);
        if (t != null) {
            internal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.xaRmerr", null, OMGSystemException.class, internal);
            return internal;
        }
        return internal;
    }
    
    public INTERNAL xaRmerr(CompletionStatus completionStatus) {
        return this.xaRmerr(completionStatus, null);
    }
    
    public INTERNAL xaRmerr(Throwable t) {
        return this.xaRmerr(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INTERNAL xaRmerr() {
        return this.xaRmerr(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INTERNAL xaRmfail(CompletionStatus completionStatus, Throwable t) {
        INTERNAL internal = new INTERNAL(1330446338, completionStatus);
        if (t != null) {
            internal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.xaRmfail", null, OMGSystemException.class, internal);
            return internal;
        }
        return internal;
    }
    
    public INTERNAL xaRmfail(CompletionStatus completionStatus) {
        return this.xaRmfail(completionStatus, null);
    }
    
    public INTERNAL xaRmfail(Throwable t) {
        return this.xaRmfail(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INTERNAL xaRmfail() {
        return this.xaRmfail(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INTF_REPOS noIr(CompletionStatus completionStatus, Throwable t) {
        INTF_REPOS intf_REPOS = new INTF_REPOS(1330446337, completionStatus);
        if (t != null) {
            intf_REPOS.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noIr", null, OMGSystemException.class, intf_REPOS);
            return intf_REPOS;
        }
        return intf_REPOS;
    }
    
    public INTF_REPOS noIr(CompletionStatus completionStatus) {
        return this.noIr(completionStatus, null);
    }
    
    public INTF_REPOS noIr(Throwable t) {
        return this.noIr(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INTF_REPOS noIr() {
        return this.noIr(CompletionStatus.COMPLETED_NO, null);
    }
    
    public INTF_REPOS noInterfaceInIr(CompletionStatus completionStatus, Throwable t) {
        INTF_REPOS intf_REPOS = new INTF_REPOS(1330446338, completionStatus);
        if (t != null) {
            intf_REPOS.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noInterfaceInIr", null, OMGSystemException.class, intf_REPOS);
            return intf_REPOS;
        }
        return intf_REPOS;
    }
    
    public INTF_REPOS noInterfaceInIr(CompletionStatus completionStatus) {
        return this.noInterfaceInIr(completionStatus, null);
    }
    
    public INTF_REPOS noInterfaceInIr(Throwable t) {
        return this.noInterfaceInIr(CompletionStatus.COMPLETED_NO, t);
    }
    
    public INTF_REPOS noInterfaceInIr() {
        return this.noInterfaceInIr(CompletionStatus.COMPLETED_NO, null);
    }
    
    public MARSHAL unableLocateValueFactory(CompletionStatus completionStatus, Throwable t) {
        MARSHAL marshal = new MARSHAL(1330446337, completionStatus);
        if (t != null) {
            marshal.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.unableLocateValueFactory", null, OMGSystemException.class, marshal);
            return marshal;
        }
        return marshal;
    }
    
    public MARSHAL unableLocateValueFactory(CompletionStatus completionStatus) {
        return this.unableLocateValueFactory(completionStatus, null);
    }
    
    public MARSHAL unableLocateValueFactory(Throwable t) {
        return this.unableLocateValueFactory(CompletionStatus.COMPLETED_NO, t);
    }
    
    public MARSHAL unableLocateValueFactory() {
        return this.unableLocateValueFactory(CompletionStatus.COMPLETED_NO, null);
    }
    
    public MARSHAL setResultBeforeCtx(CompletionStatus completionStatus, Throwable t) {
        MARSHAL marshal = new MARSHAL(1330446338, completionStatus);
        if (t != null) {
            marshal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.setResultBeforeCtx", null, OMGSystemException.class, marshal);
            return marshal;
        }
        return marshal;
    }
    
    public MARSHAL setResultBeforeCtx(CompletionStatus completionStatus) {
        return this.setResultBeforeCtx(completionStatus, null);
    }
    
    public MARSHAL setResultBeforeCtx(Throwable t) {
        return this.setResultBeforeCtx(CompletionStatus.COMPLETED_NO, t);
    }
    
    public MARSHAL setResultBeforeCtx() {
        return this.setResultBeforeCtx(CompletionStatus.COMPLETED_NO, null);
    }
    
    public MARSHAL badNvlist(CompletionStatus completionStatus, Throwable t) {
        MARSHAL marshal = new MARSHAL(1330446339, completionStatus);
        if (t != null) {
            marshal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badNvlist", null, OMGSystemException.class, marshal);
            return marshal;
        }
        return marshal;
    }
    
    public MARSHAL badNvlist(CompletionStatus completionStatus) {
        return this.badNvlist(completionStatus, null);
    }
    
    public MARSHAL badNvlist(Throwable t) {
        return this.badNvlist(CompletionStatus.COMPLETED_NO, t);
    }
    
    public MARSHAL badNvlist() {
        return this.badNvlist(CompletionStatus.COMPLETED_NO, null);
    }
    
    public MARSHAL notAnObjectImpl(CompletionStatus completionStatus, Throwable t) {
        MARSHAL marshal = new MARSHAL(1330446340, completionStatus);
        if (t != null) {
            marshal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.notAnObjectImpl", null, OMGSystemException.class, marshal);
            return marshal;
        }
        return marshal;
    }
    
    public MARSHAL notAnObjectImpl(CompletionStatus completionStatus) {
        return this.notAnObjectImpl(completionStatus, null);
    }
    
    public MARSHAL notAnObjectImpl(Throwable t) {
        return this.notAnObjectImpl(CompletionStatus.COMPLETED_NO, t);
    }
    
    public MARSHAL notAnObjectImpl() {
        return this.notAnObjectImpl(CompletionStatus.COMPLETED_NO, null);
    }
    
    public MARSHAL wcharBadGiopVersionSent(CompletionStatus completionStatus, Throwable t) {
        MARSHAL marshal = new MARSHAL(1330446341, completionStatus);
        if (t != null) {
            marshal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.wcharBadGiopVersionSent", null, OMGSystemException.class, marshal);
            return marshal;
        }
        return marshal;
    }
    
    public MARSHAL wcharBadGiopVersionSent(CompletionStatus completionStatus) {
        return this.wcharBadGiopVersionSent(completionStatus, null);
    }
    
    public MARSHAL wcharBadGiopVersionSent(Throwable t) {
        return this.wcharBadGiopVersionSent(CompletionStatus.COMPLETED_NO, t);
    }
    
    public MARSHAL wcharBadGiopVersionSent() {
        return this.wcharBadGiopVersionSent(CompletionStatus.COMPLETED_NO, null);
    }
    
    public MARSHAL wcharBadGiopVersionReturned(CompletionStatus completionStatus, Throwable t) {
        MARSHAL marshal = new MARSHAL(1330446342, completionStatus);
        if (t != null) {
            marshal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.wcharBadGiopVersionReturned", null, OMGSystemException.class, marshal);
            return marshal;
        }
        return marshal;
    }
    
    public MARSHAL wcharBadGiopVersionReturned(CompletionStatus completionStatus) {
        return this.wcharBadGiopVersionReturned(completionStatus, null);
    }
    
    public MARSHAL wcharBadGiopVersionReturned(Throwable t) {
        return this.wcharBadGiopVersionReturned(CompletionStatus.COMPLETED_NO, t);
    }
    
    public MARSHAL wcharBadGiopVersionReturned() {
        return this.wcharBadGiopVersionReturned(CompletionStatus.COMPLETED_NO, null);
    }
    
    public MARSHAL unsupportedFormatVersion(CompletionStatus completionStatus, Throwable t) {
        MARSHAL marshal = new MARSHAL(1330446343, completionStatus);
        if (t != null) {
            marshal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.unsupportedFormatVersion", null, OMGSystemException.class, marshal);
            return marshal;
        }
        return marshal;
    }
    
    public MARSHAL unsupportedFormatVersion(CompletionStatus completionStatus) {
        return this.unsupportedFormatVersion(completionStatus, null);
    }
    
    public MARSHAL unsupportedFormatVersion(Throwable t) {
        return this.unsupportedFormatVersion(CompletionStatus.COMPLETED_NO, t);
    }
    
    public MARSHAL unsupportedFormatVersion() {
        return this.unsupportedFormatVersion(CompletionStatus.COMPLETED_NO, null);
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible1(CompletionStatus completionStatus, Throwable t) {
        MARSHAL marshal = new MARSHAL(1330446344, completionStatus);
        if (t != null) {
            marshal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.rmiiiopOptionalDataIncompatible1", null, OMGSystemException.class, marshal);
            return marshal;
        }
        return marshal;
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible1(CompletionStatus completionStatus) {
        return this.rmiiiopOptionalDataIncompatible1(completionStatus, null);
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible1(Throwable t) {
        return this.rmiiiopOptionalDataIncompatible1(CompletionStatus.COMPLETED_NO, t);
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible1() {
        return this.rmiiiopOptionalDataIncompatible1(CompletionStatus.COMPLETED_NO, null);
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible2(CompletionStatus completionStatus, Throwable t) {
        MARSHAL marshal = new MARSHAL(1330446344, completionStatus);
        if (t != null) {
            marshal.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.rmiiiopOptionalDataIncompatible2", null, OMGSystemException.class, marshal);
            return marshal;
        }
        return marshal;
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible2(CompletionStatus completionStatus) {
        return this.rmiiiopOptionalDataIncompatible2(completionStatus, null);
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible2(Throwable t) {
        return this.rmiiiopOptionalDataIncompatible2(CompletionStatus.COMPLETED_NO, t);
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible2() {
        return this.rmiiiopOptionalDataIncompatible2(CompletionStatus.COMPLETED_NO, null);
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible3(CompletionStatus completionStatus, Throwable t) {
        MARSHAL marshal = new MARSHAL(1330446344, completionStatus);
        if (t != null) {
            marshal.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.rmiiiopOptionalDataIncompatible3", null, OMGSystemException.class, marshal);
            return marshal;
        }
        return marshal;
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible3(CompletionStatus completionStatus) {
        return this.rmiiiopOptionalDataIncompatible3(completionStatus, null);
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible3(Throwable t) {
        return this.rmiiiopOptionalDataIncompatible3(CompletionStatus.COMPLETED_NO, t);
    }
    
    public MARSHAL rmiiiopOptionalDataIncompatible3() {
        return this.rmiiiopOptionalDataIncompatible3(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_IMPLEMENT missingLocalValueImpl(CompletionStatus completionStatus, Throwable t) {
        NO_IMPLEMENT no_IMPLEMENT = new NO_IMPLEMENT(1330446337, completionStatus);
        if (t != null) {
            no_IMPLEMENT.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.missingLocalValueImpl", null, OMGSystemException.class, no_IMPLEMENT);
            return no_IMPLEMENT;
        }
        return no_IMPLEMENT;
    }
    
    public NO_IMPLEMENT missingLocalValueImpl(CompletionStatus completionStatus) {
        return this.missingLocalValueImpl(completionStatus, null);
    }
    
    public NO_IMPLEMENT missingLocalValueImpl(Throwable t) {
        return this.missingLocalValueImpl(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_IMPLEMENT missingLocalValueImpl() {
        return this.missingLocalValueImpl(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_IMPLEMENT incompatibleValueImpl(CompletionStatus completionStatus, Throwable t) {
        NO_IMPLEMENT no_IMPLEMENT = new NO_IMPLEMENT(1330446338, completionStatus);
        if (t != null) {
            no_IMPLEMENT.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.incompatibleValueImpl", null, OMGSystemException.class, no_IMPLEMENT);
            return no_IMPLEMENT;
        }
        return no_IMPLEMENT;
    }
    
    public NO_IMPLEMENT incompatibleValueImpl(CompletionStatus completionStatus) {
        return this.incompatibleValueImpl(completionStatus, null);
    }
    
    public NO_IMPLEMENT incompatibleValueImpl(Throwable t) {
        return this.incompatibleValueImpl(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_IMPLEMENT incompatibleValueImpl() {
        return this.incompatibleValueImpl(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_IMPLEMENT noUsableProfile2(CompletionStatus completionStatus, Throwable t) {
        NO_IMPLEMENT no_IMPLEMENT = new NO_IMPLEMENT(1330446339, completionStatus);
        if (t != null) {
            no_IMPLEMENT.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noUsableProfile2", null, OMGSystemException.class, no_IMPLEMENT);
            return no_IMPLEMENT;
        }
        return no_IMPLEMENT;
    }
    
    public NO_IMPLEMENT noUsableProfile2(CompletionStatus completionStatus) {
        return this.noUsableProfile2(completionStatus, null);
    }
    
    public NO_IMPLEMENT noUsableProfile2(Throwable t) {
        return this.noUsableProfile2(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_IMPLEMENT noUsableProfile2() {
        return this.noUsableProfile2(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_IMPLEMENT diiLocalObject(CompletionStatus completionStatus, Throwable t) {
        NO_IMPLEMENT no_IMPLEMENT = new NO_IMPLEMENT(1330446340, completionStatus);
        if (t != null) {
            no_IMPLEMENT.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.diiLocalObject", null, OMGSystemException.class, no_IMPLEMENT);
            return no_IMPLEMENT;
        }
        return no_IMPLEMENT;
    }
    
    public NO_IMPLEMENT diiLocalObject(CompletionStatus completionStatus) {
        return this.diiLocalObject(completionStatus, null);
    }
    
    public NO_IMPLEMENT diiLocalObject(Throwable t) {
        return this.diiLocalObject(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_IMPLEMENT diiLocalObject() {
        return this.diiLocalObject(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_IMPLEMENT bioReset(CompletionStatus completionStatus, Throwable t) {
        NO_IMPLEMENT no_IMPLEMENT = new NO_IMPLEMENT(1330446341, completionStatus);
        if (t != null) {
            no_IMPLEMENT.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.bioReset", null, OMGSystemException.class, no_IMPLEMENT);
            return no_IMPLEMENT;
        }
        return no_IMPLEMENT;
    }
    
    public NO_IMPLEMENT bioReset(CompletionStatus completionStatus) {
        return this.bioReset(completionStatus, null);
    }
    
    public NO_IMPLEMENT bioReset(Throwable t) {
        return this.bioReset(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_IMPLEMENT bioReset() {
        return this.bioReset(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_IMPLEMENT bioMetaNotAvailable(CompletionStatus completionStatus, Throwable t) {
        NO_IMPLEMENT no_IMPLEMENT = new NO_IMPLEMENT(1330446342, completionStatus);
        if (t != null) {
            no_IMPLEMENT.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.bioMetaNotAvailable", null, OMGSystemException.class, no_IMPLEMENT);
            return no_IMPLEMENT;
        }
        return no_IMPLEMENT;
    }
    
    public NO_IMPLEMENT bioMetaNotAvailable(CompletionStatus completionStatus) {
        return this.bioMetaNotAvailable(completionStatus, null);
    }
    
    public NO_IMPLEMENT bioMetaNotAvailable(Throwable t) {
        return this.bioMetaNotAvailable(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_IMPLEMENT bioMetaNotAvailable() {
        return this.bioMetaNotAvailable(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_IMPLEMENT bioGenomicNoIterator(CompletionStatus completionStatus, Throwable t) {
        NO_IMPLEMENT no_IMPLEMENT = new NO_IMPLEMENT(1330446343, completionStatus);
        if (t != null) {
            no_IMPLEMENT.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.bioGenomicNoIterator", null, OMGSystemException.class, no_IMPLEMENT);
            return no_IMPLEMENT;
        }
        return no_IMPLEMENT;
    }
    
    public NO_IMPLEMENT bioGenomicNoIterator(CompletionStatus completionStatus) {
        return this.bioGenomicNoIterator(completionStatus, null);
    }
    
    public NO_IMPLEMENT bioGenomicNoIterator(Throwable t) {
        return this.bioGenomicNoIterator(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_IMPLEMENT bioGenomicNoIterator() {
        return this.bioGenomicNoIterator(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_RESOURCES piOperationNotSupported1(CompletionStatus completionStatus, Throwable t) {
        NO_RESOURCES no_RESOURCES = new NO_RESOURCES(1330446337, completionStatus);
        if (t != null) {
            no_RESOURCES.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.piOperationNotSupported1", null, OMGSystemException.class, no_RESOURCES);
            return no_RESOURCES;
        }
        return no_RESOURCES;
    }
    
    public NO_RESOURCES piOperationNotSupported1(CompletionStatus completionStatus) {
        return this.piOperationNotSupported1(completionStatus, null);
    }
    
    public NO_RESOURCES piOperationNotSupported1(Throwable t) {
        return this.piOperationNotSupported1(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_RESOURCES piOperationNotSupported1() {
        return this.piOperationNotSupported1(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_RESOURCES piOperationNotSupported2(CompletionStatus completionStatus, Throwable t) {
        NO_RESOURCES no_RESOURCES = new NO_RESOURCES(1330446337, completionStatus);
        if (t != null) {
            no_RESOURCES.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.piOperationNotSupported2", null, OMGSystemException.class, no_RESOURCES);
            return no_RESOURCES;
        }
        return no_RESOURCES;
    }
    
    public NO_RESOURCES piOperationNotSupported2(CompletionStatus completionStatus) {
        return this.piOperationNotSupported2(completionStatus, null);
    }
    
    public NO_RESOURCES piOperationNotSupported2(Throwable t) {
        return this.piOperationNotSupported2(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_RESOURCES piOperationNotSupported2() {
        return this.piOperationNotSupported2(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_RESOURCES piOperationNotSupported3(CompletionStatus completionStatus, Throwable t) {
        NO_RESOURCES no_RESOURCES = new NO_RESOURCES(1330446337, completionStatus);
        if (t != null) {
            no_RESOURCES.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.piOperationNotSupported3", null, OMGSystemException.class, no_RESOURCES);
            return no_RESOURCES;
        }
        return no_RESOURCES;
    }
    
    public NO_RESOURCES piOperationNotSupported3(CompletionStatus completionStatus) {
        return this.piOperationNotSupported3(completionStatus, null);
    }
    
    public NO_RESOURCES piOperationNotSupported3(Throwable t) {
        return this.piOperationNotSupported3(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_RESOURCES piOperationNotSupported3() {
        return this.piOperationNotSupported3(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_RESOURCES piOperationNotSupported4(CompletionStatus completionStatus, Throwable t) {
        NO_RESOURCES no_RESOURCES = new NO_RESOURCES(1330446337, completionStatus);
        if (t != null) {
            no_RESOURCES.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.piOperationNotSupported4", null, OMGSystemException.class, no_RESOURCES);
            return no_RESOURCES;
        }
        return no_RESOURCES;
    }
    
    public NO_RESOURCES piOperationNotSupported4(CompletionStatus completionStatus) {
        return this.piOperationNotSupported4(completionStatus, null);
    }
    
    public NO_RESOURCES piOperationNotSupported4(Throwable t) {
        return this.piOperationNotSupported4(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_RESOURCES piOperationNotSupported4() {
        return this.piOperationNotSupported4(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_RESOURCES piOperationNotSupported5(CompletionStatus completionStatus, Throwable t) {
        NO_RESOURCES no_RESOURCES = new NO_RESOURCES(1330446337, completionStatus);
        if (t != null) {
            no_RESOURCES.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.piOperationNotSupported5", null, OMGSystemException.class, no_RESOURCES);
            return no_RESOURCES;
        }
        return no_RESOURCES;
    }
    
    public NO_RESOURCES piOperationNotSupported5(CompletionStatus completionStatus) {
        return this.piOperationNotSupported5(completionStatus, null);
    }
    
    public NO_RESOURCES piOperationNotSupported5(Throwable t) {
        return this.piOperationNotSupported5(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_RESOURCES piOperationNotSupported5() {
        return this.piOperationNotSupported5(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_RESOURCES piOperationNotSupported6(CompletionStatus completionStatus, Throwable t) {
        NO_RESOURCES no_RESOURCES = new NO_RESOURCES(1330446337, completionStatus);
        if (t != null) {
            no_RESOURCES.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.piOperationNotSupported6", null, OMGSystemException.class, no_RESOURCES);
            return no_RESOURCES;
        }
        return no_RESOURCES;
    }
    
    public NO_RESOURCES piOperationNotSupported6(CompletionStatus completionStatus) {
        return this.piOperationNotSupported6(completionStatus, null);
    }
    
    public NO_RESOURCES piOperationNotSupported6(Throwable t) {
        return this.piOperationNotSupported6(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_RESOURCES piOperationNotSupported6() {
        return this.piOperationNotSupported6(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_RESOURCES piOperationNotSupported7(CompletionStatus completionStatus, Throwable t) {
        NO_RESOURCES no_RESOURCES = new NO_RESOURCES(1330446337, completionStatus);
        if (t != null) {
            no_RESOURCES.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.piOperationNotSupported7", null, OMGSystemException.class, no_RESOURCES);
            return no_RESOURCES;
        }
        return no_RESOURCES;
    }
    
    public NO_RESOURCES piOperationNotSupported7(CompletionStatus completionStatus) {
        return this.piOperationNotSupported7(completionStatus, null);
    }
    
    public NO_RESOURCES piOperationNotSupported7(Throwable t) {
        return this.piOperationNotSupported7(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_RESOURCES piOperationNotSupported7() {
        return this.piOperationNotSupported7(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_RESOURCES piOperationNotSupported8(CompletionStatus completionStatus, Throwable t) {
        NO_RESOURCES no_RESOURCES = new NO_RESOURCES(1330446337, completionStatus);
        if (t != null) {
            no_RESOURCES.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.piOperationNotSupported8", null, OMGSystemException.class, no_RESOURCES);
            return no_RESOURCES;
        }
        return no_RESOURCES;
    }
    
    public NO_RESOURCES piOperationNotSupported8(CompletionStatus completionStatus) {
        return this.piOperationNotSupported8(completionStatus, null);
    }
    
    public NO_RESOURCES piOperationNotSupported8(Throwable t) {
        return this.piOperationNotSupported8(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_RESOURCES piOperationNotSupported8() {
        return this.piOperationNotSupported8(CompletionStatus.COMPLETED_NO, null);
    }
    
    public NO_RESOURCES noConnectionPriority(CompletionStatus completionStatus, Throwable t) {
        NO_RESOURCES no_RESOURCES = new NO_RESOURCES(1330446338, completionStatus);
        if (t != null) {
            no_RESOURCES.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noConnectionPriority", null, OMGSystemException.class, no_RESOURCES);
            return no_RESOURCES;
        }
        return no_RESOURCES;
    }
    
    public NO_RESOURCES noConnectionPriority(CompletionStatus completionStatus) {
        return this.noConnectionPriority(completionStatus, null);
    }
    
    public NO_RESOURCES noConnectionPriority(Throwable t) {
        return this.noConnectionPriority(CompletionStatus.COMPLETED_NO, t);
    }
    
    public NO_RESOURCES noConnectionPriority() {
        return this.noConnectionPriority(CompletionStatus.COMPLETED_NO, null);
    }
    
    public TRANSACTION_ROLLEDBACK xaRb(CompletionStatus completionStatus, Throwable t) {
        TRANSACTION_ROLLEDBACK transaction_ROLLEDBACK = new TRANSACTION_ROLLEDBACK(1330446337, completionStatus);
        if (t != null) {
            transaction_ROLLEDBACK.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.xaRb", null, OMGSystemException.class, transaction_ROLLEDBACK);
            return transaction_ROLLEDBACK;
        }
        return transaction_ROLLEDBACK;
    }
    
    public TRANSACTION_ROLLEDBACK xaRb(CompletionStatus completionStatus) {
        return this.xaRb(completionStatus, null);
    }
    
    public TRANSACTION_ROLLEDBACK xaRb(Throwable t) {
        return this.xaRb(CompletionStatus.COMPLETED_NO, t);
    }
    
    public TRANSACTION_ROLLEDBACK xaRb() {
        return this.xaRb(CompletionStatus.COMPLETED_NO, null);
    }
    
    public TRANSACTION_ROLLEDBACK xaNota(CompletionStatus completionStatus, Throwable t) {
        TRANSACTION_ROLLEDBACK transaction_ROLLEDBACK = new TRANSACTION_ROLLEDBACK(1330446338, completionStatus);
        if (t != null) {
            transaction_ROLLEDBACK.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.xaNota", null, OMGSystemException.class, transaction_ROLLEDBACK);
            return transaction_ROLLEDBACK;
        }
        return transaction_ROLLEDBACK;
    }
    
    public TRANSACTION_ROLLEDBACK xaNota(CompletionStatus completionStatus) {
        return this.xaNota(completionStatus, null);
    }
    
    public TRANSACTION_ROLLEDBACK xaNota(Throwable t) {
        return this.xaNota(CompletionStatus.COMPLETED_NO, t);
    }
    
    public TRANSACTION_ROLLEDBACK xaNota() {
        return this.xaNota(CompletionStatus.COMPLETED_NO, null);
    }
    
    public TRANSACTION_ROLLEDBACK xaEndTrueRollbackDeferred(CompletionStatus completionStatus, Throwable t) {
        TRANSACTION_ROLLEDBACK transaction_ROLLEDBACK = new TRANSACTION_ROLLEDBACK(1330446339, completionStatus);
        if (t != null) {
            transaction_ROLLEDBACK.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.xaEndTrueRollbackDeferred", null, OMGSystemException.class, transaction_ROLLEDBACK);
            return transaction_ROLLEDBACK;
        }
        return transaction_ROLLEDBACK;
    }
    
    public TRANSACTION_ROLLEDBACK xaEndTrueRollbackDeferred(CompletionStatus completionStatus) {
        return this.xaEndTrueRollbackDeferred(completionStatus, null);
    }
    
    public TRANSACTION_ROLLEDBACK xaEndTrueRollbackDeferred(Throwable t) {
        return this.xaEndTrueRollbackDeferred(CompletionStatus.COMPLETED_NO, t);
    }
    
    public TRANSACTION_ROLLEDBACK xaEndTrueRollbackDeferred() {
        return this.xaEndTrueRollbackDeferred(CompletionStatus.COMPLETED_NO, null);
    }
    
    public TRANSIENT poaRequestDiscard(CompletionStatus completionStatus, Throwable t) {
        TRANSIENT transient1 = new TRANSIENT(1330446337, completionStatus);
        if (t != null) {
            transient1.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.poaRequestDiscard", null, OMGSystemException.class, transient1);
            return transient1;
        }
        return transient1;
    }
    
    public TRANSIENT poaRequestDiscard(CompletionStatus completionStatus) {
        return this.poaRequestDiscard(completionStatus, null);
    }
    
    public TRANSIENT poaRequestDiscard(Throwable t) {
        return this.poaRequestDiscard(CompletionStatus.COMPLETED_NO, t);
    }
    
    public TRANSIENT poaRequestDiscard() {
        return this.poaRequestDiscard(CompletionStatus.COMPLETED_NO, null);
    }
    
    public TRANSIENT noUsableProfile3(CompletionStatus completionStatus, Throwable t) {
        TRANSIENT transient1 = new TRANSIENT(1330446338, completionStatus);
        if (t != null) {
            transient1.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noUsableProfile3", null, OMGSystemException.class, transient1);
            return transient1;
        }
        return transient1;
    }
    
    public TRANSIENT noUsableProfile3(CompletionStatus completionStatus) {
        return this.noUsableProfile3(completionStatus, null);
    }
    
    public TRANSIENT noUsableProfile3(Throwable t) {
        return this.noUsableProfile3(CompletionStatus.COMPLETED_NO, t);
    }
    
    public TRANSIENT noUsableProfile3() {
        return this.noUsableProfile3(CompletionStatus.COMPLETED_NO, null);
    }
    
    public TRANSIENT requestCancelled(CompletionStatus completionStatus, Throwable t) {
        TRANSIENT transient1 = new TRANSIENT(1330446339, completionStatus);
        if (t != null) {
            transient1.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.requestCancelled", null, OMGSystemException.class, transient1);
            return transient1;
        }
        return transient1;
    }
    
    public TRANSIENT requestCancelled(CompletionStatus completionStatus) {
        return this.requestCancelled(completionStatus, null);
    }
    
    public TRANSIENT requestCancelled(Throwable t) {
        return this.requestCancelled(CompletionStatus.COMPLETED_NO, t);
    }
    
    public TRANSIENT requestCancelled() {
        return this.requestCancelled(CompletionStatus.COMPLETED_NO, null);
    }
    
    public TRANSIENT poaDestroyed(CompletionStatus completionStatus, Throwable t) {
        TRANSIENT transient1 = new TRANSIENT(1330446340, completionStatus);
        if (t != null) {
            transient1.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.poaDestroyed", null, OMGSystemException.class, transient1);
            return transient1;
        }
        return transient1;
    }
    
    public TRANSIENT poaDestroyed(CompletionStatus completionStatus) {
        return this.poaDestroyed(completionStatus, null);
    }
    
    public TRANSIENT poaDestroyed(Throwable t) {
        return this.poaDestroyed(CompletionStatus.COMPLETED_NO, t);
    }
    
    public TRANSIENT poaDestroyed() {
        return this.poaDestroyed(CompletionStatus.COMPLETED_NO, null);
    }
    
    public OBJECT_NOT_EXIST unregisteredValueAsObjref(CompletionStatus completionStatus, Throwable t) {
        OBJECT_NOT_EXIST object_NOT_EXIST = new OBJECT_NOT_EXIST(1330446337, completionStatus);
        if (t != null) {
            object_NOT_EXIST.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.unregisteredValueAsObjref", null, OMGSystemException.class, object_NOT_EXIST);
            return object_NOT_EXIST;
        }
        return object_NOT_EXIST;
    }
    
    public OBJECT_NOT_EXIST unregisteredValueAsObjref(CompletionStatus completionStatus) {
        return this.unregisteredValueAsObjref(completionStatus, null);
    }
    
    public OBJECT_NOT_EXIST unregisteredValueAsObjref(Throwable t) {
        return this.unregisteredValueAsObjref(CompletionStatus.COMPLETED_NO, t);
    }
    
    public OBJECT_NOT_EXIST unregisteredValueAsObjref() {
        return this.unregisteredValueAsObjref(CompletionStatus.COMPLETED_NO, null);
    }
    
    public OBJECT_NOT_EXIST noObjectAdaptor(CompletionStatus completionStatus, Throwable t) {
        OBJECT_NOT_EXIST object_NOT_EXIST = new OBJECT_NOT_EXIST(1330446338, completionStatus);
        if (t != null) {
            object_NOT_EXIST.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.noObjectAdaptor", null, OMGSystemException.class, object_NOT_EXIST);
            return object_NOT_EXIST;
        }
        return object_NOT_EXIST;
    }
    
    public OBJECT_NOT_EXIST noObjectAdaptor(CompletionStatus completionStatus) {
        return this.noObjectAdaptor(completionStatus, null);
    }
    
    public OBJECT_NOT_EXIST noObjectAdaptor(Throwable t) {
        return this.noObjectAdaptor(CompletionStatus.COMPLETED_NO, t);
    }
    
    public OBJECT_NOT_EXIST noObjectAdaptor() {
        return this.noObjectAdaptor(CompletionStatus.COMPLETED_NO, null);
    }
    
    public OBJECT_NOT_EXIST bioNotAvailable(CompletionStatus completionStatus, Throwable t) {
        OBJECT_NOT_EXIST object_NOT_EXIST = new OBJECT_NOT_EXIST(1330446339, completionStatus);
        if (t != null) {
            object_NOT_EXIST.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.bioNotAvailable", null, OMGSystemException.class, object_NOT_EXIST);
            return object_NOT_EXIST;
        }
        return object_NOT_EXIST;
    }
    
    public OBJECT_NOT_EXIST bioNotAvailable(CompletionStatus completionStatus) {
        return this.bioNotAvailable(completionStatus, null);
    }
    
    public OBJECT_NOT_EXIST bioNotAvailable(Throwable t) {
        return this.bioNotAvailable(CompletionStatus.COMPLETED_NO, t);
    }
    
    public OBJECT_NOT_EXIST bioNotAvailable() {
        return this.bioNotAvailable(CompletionStatus.COMPLETED_NO, null);
    }
    
    public OBJECT_NOT_EXIST objectAdapterInactive(CompletionStatus completionStatus, Throwable t) {
        OBJECT_NOT_EXIST object_NOT_EXIST = new OBJECT_NOT_EXIST(1330446340, completionStatus);
        if (t != null) {
            object_NOT_EXIST.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.objectAdapterInactive", null, OMGSystemException.class, object_NOT_EXIST);
            return object_NOT_EXIST;
        }
        return object_NOT_EXIST;
    }
    
    public OBJECT_NOT_EXIST objectAdapterInactive(CompletionStatus completionStatus) {
        return this.objectAdapterInactive(completionStatus, null);
    }
    
    public OBJECT_NOT_EXIST objectAdapterInactive(Throwable t) {
        return this.objectAdapterInactive(CompletionStatus.COMPLETED_NO, t);
    }
    
    public OBJECT_NOT_EXIST objectAdapterInactive() {
        return this.objectAdapterInactive(CompletionStatus.COMPLETED_NO, null);
    }
    
    public OBJ_ADAPTER adapterActivatorException(CompletionStatus completionStatus, Throwable t, Object o, Object o2) {
        OBJ_ADAPTER obj_ADAPTER = new OBJ_ADAPTER(1330446337, completionStatus);
        if (t != null) {
            obj_ADAPTER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.adapterActivatorException", new Object[] { o, o2 }, OMGSystemException.class, obj_ADAPTER);
            return obj_ADAPTER;
        }
        return obj_ADAPTER;
    }
    
    public OBJ_ADAPTER adapterActivatorException(CompletionStatus completionStatus, Object o, Object o2) {
        return this.adapterActivatorException(completionStatus, null, o, o2);
    }
    
    public OBJ_ADAPTER adapterActivatorException(Throwable t, Object o, Object o2) {
        return this.adapterActivatorException(CompletionStatus.COMPLETED_NO, t, o, o2);
    }
    
    public OBJ_ADAPTER adapterActivatorException(Object o, Object o2) {
        return this.adapterActivatorException(CompletionStatus.COMPLETED_NO, null, o, o2);
    }
    
    public OBJ_ADAPTER badServantType(CompletionStatus completionStatus, Throwable t) {
        OBJ_ADAPTER obj_ADAPTER = new OBJ_ADAPTER(1330446338, completionStatus);
        if (t != null) {
            obj_ADAPTER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badServantType", null, OMGSystemException.class, obj_ADAPTER);
            return obj_ADAPTER;
        }
        return obj_ADAPTER;
    }
    
    public OBJ_ADAPTER badServantType(CompletionStatus completionStatus) {
        return this.badServantType(completionStatus, null);
    }
    
    public OBJ_ADAPTER badServantType(Throwable t) {
        return this.badServantType(CompletionStatus.COMPLETED_NO, t);
    }
    
    public OBJ_ADAPTER badServantType() {
        return this.badServantType(CompletionStatus.COMPLETED_NO, null);
    }
    
    public OBJ_ADAPTER noDefaultServant(CompletionStatus completionStatus, Throwable t) {
        OBJ_ADAPTER obj_ADAPTER = new OBJ_ADAPTER(1330446339, completionStatus);
        if (t != null) {
            obj_ADAPTER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noDefaultServant", null, OMGSystemException.class, obj_ADAPTER);
            return obj_ADAPTER;
        }
        return obj_ADAPTER;
    }
    
    public OBJ_ADAPTER noDefaultServant(CompletionStatus completionStatus) {
        return this.noDefaultServant(completionStatus, null);
    }
    
    public OBJ_ADAPTER noDefaultServant(Throwable t) {
        return this.noDefaultServant(CompletionStatus.COMPLETED_NO, t);
    }
    
    public OBJ_ADAPTER noDefaultServant() {
        return this.noDefaultServant(CompletionStatus.COMPLETED_NO, null);
    }
    
    public OBJ_ADAPTER noServantManager(CompletionStatus completionStatus, Throwable t) {
        OBJ_ADAPTER obj_ADAPTER = new OBJ_ADAPTER(1330446340, completionStatus);
        if (t != null) {
            obj_ADAPTER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.noServantManager", null, OMGSystemException.class, obj_ADAPTER);
            return obj_ADAPTER;
        }
        return obj_ADAPTER;
    }
    
    public OBJ_ADAPTER noServantManager(CompletionStatus completionStatus) {
        return this.noServantManager(completionStatus, null);
    }
    
    public OBJ_ADAPTER noServantManager(Throwable t) {
        return this.noServantManager(CompletionStatus.COMPLETED_NO, t);
    }
    
    public OBJ_ADAPTER noServantManager() {
        return this.noServantManager(CompletionStatus.COMPLETED_NO, null);
    }
    
    public OBJ_ADAPTER badPolicyIncarnate(CompletionStatus completionStatus, Throwable t) {
        OBJ_ADAPTER obj_ADAPTER = new OBJ_ADAPTER(1330446341, completionStatus);
        if (t != null) {
            obj_ADAPTER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.badPolicyIncarnate", null, OMGSystemException.class, obj_ADAPTER);
            return obj_ADAPTER;
        }
        return obj_ADAPTER;
    }
    
    public OBJ_ADAPTER badPolicyIncarnate(CompletionStatus completionStatus) {
        return this.badPolicyIncarnate(completionStatus, null);
    }
    
    public OBJ_ADAPTER badPolicyIncarnate(Throwable t) {
        return this.badPolicyIncarnate(CompletionStatus.COMPLETED_NO, t);
    }
    
    public OBJ_ADAPTER badPolicyIncarnate() {
        return this.badPolicyIncarnate(CompletionStatus.COMPLETED_NO, null);
    }
    
    public OBJ_ADAPTER piExcCompEstablished(CompletionStatus completionStatus, Throwable t) {
        OBJ_ADAPTER obj_ADAPTER = new OBJ_ADAPTER(1330446342, completionStatus);
        if (t != null) {
            obj_ADAPTER.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.piExcCompEstablished", null, OMGSystemException.class, obj_ADAPTER);
            return obj_ADAPTER;
        }
        return obj_ADAPTER;
    }
    
    public OBJ_ADAPTER piExcCompEstablished(CompletionStatus completionStatus) {
        return this.piExcCompEstablished(completionStatus, null);
    }
    
    public OBJ_ADAPTER piExcCompEstablished(Throwable t) {
        return this.piExcCompEstablished(CompletionStatus.COMPLETED_NO, t);
    }
    
    public OBJ_ADAPTER piExcCompEstablished() {
        return this.piExcCompEstablished(CompletionStatus.COMPLETED_NO, null);
    }
    
    public OBJ_ADAPTER nullServantReturned(CompletionStatus completionStatus, Throwable t) {
        OBJ_ADAPTER obj_ADAPTER = new OBJ_ADAPTER(1330446343, completionStatus);
        if (t != null) {
            obj_ADAPTER.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.nullServantReturned", null, OMGSystemException.class, obj_ADAPTER);
            return obj_ADAPTER;
        }
        return obj_ADAPTER;
    }
    
    public OBJ_ADAPTER nullServantReturned(CompletionStatus completionStatus) {
        return this.nullServantReturned(completionStatus, null);
    }
    
    public OBJ_ADAPTER nullServantReturned(Throwable t) {
        return this.nullServantReturned(CompletionStatus.COMPLETED_NO, t);
    }
    
    public OBJ_ADAPTER nullServantReturned() {
        return this.nullServantReturned(CompletionStatus.COMPLETED_NO, null);
    }
    
    public UNKNOWN unknownUserException(CompletionStatus completionStatus, Throwable t) {
        UNKNOWN unknown = new UNKNOWN(1330446337, completionStatus);
        if (t != null) {
            unknown.initCause(t);
        }
        if (this.logger.isLoggable(Level.FINE)) {
            this.doLog(Level.FINE, "OMG.unknownUserException", null, OMGSystemException.class, unknown);
            return unknown;
        }
        return unknown;
    }
    
    public UNKNOWN unknownUserException(CompletionStatus completionStatus) {
        return this.unknownUserException(completionStatus, null);
    }
    
    public UNKNOWN unknownUserException(Throwable t) {
        return this.unknownUserException(CompletionStatus.COMPLETED_NO, t);
    }
    
    public UNKNOWN unknownUserException() {
        return this.unknownUserException(CompletionStatus.COMPLETED_NO, null);
    }
    
    public UNKNOWN unsupportedSystemException(CompletionStatus completionStatus, Throwable t) {
        UNKNOWN unknown = new UNKNOWN(1330446338, completionStatus);
        if (t != null) {
            unknown.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.unsupportedSystemException", null, OMGSystemException.class, unknown);
            return unknown;
        }
        return unknown;
    }
    
    public UNKNOWN unsupportedSystemException(CompletionStatus completionStatus) {
        return this.unsupportedSystemException(completionStatus, null);
    }
    
    public UNKNOWN unsupportedSystemException(Throwable t) {
        return this.unsupportedSystemException(CompletionStatus.COMPLETED_NO, t);
    }
    
    public UNKNOWN unsupportedSystemException() {
        return this.unsupportedSystemException(CompletionStatus.COMPLETED_NO, null);
    }
    
    public UNKNOWN piUnknownUserException(CompletionStatus completionStatus, Throwable t) {
        UNKNOWN unknown = new UNKNOWN(1330446339, completionStatus);
        if (t != null) {
            unknown.initCause(t);
        }
        if (this.logger.isLoggable(Level.WARNING)) {
            this.doLog(Level.WARNING, "OMG.piUnknownUserException", null, OMGSystemException.class, unknown);
            return unknown;
        }
        return unknown;
    }
    
    public UNKNOWN piUnknownUserException(CompletionStatus completionStatus) {
        return this.piUnknownUserException(completionStatus, null);
    }
    
    public UNKNOWN piUnknownUserException(Throwable t) {
        return this.piUnknownUserException(CompletionStatus.COMPLETED_NO, t);
    }
    
    public UNKNOWN piUnknownUserException() {
        return this.piUnknownUserException(CompletionStatus.COMPLETED_NO, null);
    }
    
    static {
        OMGSystemException.factory = new LogWrapperFactory() {
            public LogWrapperBase create(Logger logger) {
                return new OMGSystemException(logger);
            }
        };
    }
}
